ulimit -u 200000
export HSA_FORCE_FINE_GRAIN_PCIE=1
export MIOPEN_FIND_MODE=3
export MIOPEN_COMPILE_PARALLEL_LEVEL=1
export NCCL_DEBUG=INFO
export NCCL_SOCKET_IFNAME=ib0
export NCCL_P2P_LEVEL=5


rm -rf ./hostfile/*
echo "START TIME: $(date)"
hostfile=./hostfile


np=$(cat $hostfile|sort|uniq |wc -l)
np=$(($np*8))
 

which mpirun
mpirun -np $np --allow-run-as-root --hostfile hostfile --bind-to none --mca btl_tcp_if_include enp97s0f1 `pwd`/run-13b-pretrain-single.sh 8
echo "END TIME: $(date)"